Subject: Re: what is ~1MB of memory allocated at fffea000-fffff000 on ppc64?

From: "Chris Friesen" <[email-masked]>
Date: Tue, 28 Aug 2007 09:15:29 -0600

Paul Mackerras wrote:
> Chris Friesen writes:

>>For some background, we're running an emulator that uses a null pointer 
>>value of 0xffff0000 and we want any accesses to that address to trap.

> Can you fix this in userspace instead by moving the stack down below
> 0xffff0000 and then doing munmap(0xffff0000, 0x1000) ?

It sounds like it would work.  I'm not entirely clear on how to move the 
starting point of the stack though--could you elaborate or point me to a 
reference?

Chris